package com.app.duck.adapter;

import android.util.Log;

import com.app.duck.R;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;

import org.jetbrains.annotations.NotNull;

public class PhoneListAdapter extends BaseQuickAdapter<String, BaseViewHolder> {


    public PhoneListAdapter() {
        super(R.layout.layout_phone_item);
    }


    @Override
    protected void convert(@NotNull BaseViewHolder baseViewHolder, String phone) {
        Log.d("hzshkj", "[PhoneListAdapter] convert: " + phone);
        int position = getItemPosition(phone);
        baseViewHolder.setText(R.id.text, "SIM-" + position + "   " + phone);


    }


}
